Retrieve a node
Retrieve a node.
Required scope: air:simulation_read (roles: air_org_admin, air_user)
Alternative: role air_trainee also grants access.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Response
The hostname of the node; this must be unique.
The Air specific category the node belongs to.
- “ - None
SERVER- ServerSWITCH- SwitchOOB_SERVER- OOB Management ServerOOB_SWITCH- OOB Management Switch
The state of the node w.r.t. the simulation life cycle.
INACTIVE- InactiveBOOTING- BootingACTIVE- ActiveSHUTTING_DOWN- Shutting downERROR- ErrorREBUILDING- Rebuilding
The last known status of the node reported by the worker. This is the libvirt status of the VM/container.
Cloud-Init assignment for this node, if any.
Labels which can be specified on the node. Fields not specified in the payload schema will be completely ignored. If updating, the data provided will completely replace existing labels: attempting to PATCH specific labels will delete the other labels.
CD-ROM assignment for this node. Provide {"image": <id>} to attach or replace the CD-ROM image, or null to eject.
Dict mapping interface names (e.g. “eth0”, “eth1”) to management address info with optional keys “ip” (IPv4) and “mac_address”. Mutually exclusive with management_ip and management_mac.